| Box2D 2.2.1 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
b2ContactFilter Class Reference

`#include <b2WorldCallbacks.h>`

List of all members.

## Public Member Functions
virtual bool | ShouldCollide (b2Fixture *fixtureA, b2Fixture *fixtureB)

## Detailed Description

Implement this class to provide collision filtering. In other words, you can implement this class if you want finer control over contact creation.

## Member Function Documentation

bool b2ContactFilter::ShouldCollide | ( | b2Fixture * | fixtureA,
|  | b2Fixture * | fixtureB
| ) |  | `[virtual]`

Return true if contact calculations should be performed between these two shapes.

Warning:
  for performance reasons this is only called when the AABBs begin to overlap.

The documentation for this class was generated from the following files:

- b2WorldCallbacks.h
- b2WorldCallbacks.cpp

All Classes Files Functions Variables Enumerations Enumerator Defines